| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RTShader::ShaderProgramWriterGLSLFactory Class Reference
Optional Components » RTShaderSystem

GLSL program writer factory implementation. More...

`#include <OgreShaderGLSLProgramWriter.h>`

Inheritance diagram for Ogre::RTShader::ShaderProgramWriterGLSLFactory:
[legend]

## Public Member Functions
| ShaderProgramWriterGLSLFactory ()
virtual | ~ShaderProgramWriterGLSLFactory ()
virtual ProgramWriter * | create (void)
| More...
virtual const String & | getTargetLanguage (void) const
| More...

## Detailed Description

GLSL program writer factory implementation.

See also
  ProgramWriterFactory

## Constructor & Destructor Documentation

## ◆ ShaderProgramWriterGLSLFactory()

Ogre::RTShader::ShaderProgramWriterGLSLFactory::ShaderProgramWriterGLSLFactory | ( |  | ) |
| inline

## ◆ ~ShaderProgramWriterGLSLFactory()

virtual Ogre::RTShader::ShaderProgramWriterGLSLFactory::~ShaderProgramWriterGLSLFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getTargetLanguage()

virtual const String& Ogre::RTShader::ShaderProgramWriterGLSLFactory::getTargetLanguage | ( | void |  | ) | const
| inline virtual

See also
  ProgramWriterFactory::getTargetLanguage

Implements Ogre::RTShader::ProgramWriterFactory.

## ◆ create()

virtual ProgramWriter* Ogre::RTShader::ShaderProgramWriterGLSLFactory::create | ( | void |  | ) |
| inline virtual

See also
  ProgramWriterFactory::create

Implements Ogre::RTShader::ProgramWriterFactory.

References OGRE_NEW.

The documentation for this class was generated from the following file:

- OgreShaderGLSLProgramWriter.h